## ros-jazzy-ds-dbw-msgs 2.2.3

=== debian/changelog ===
ros-jazzy-ds-dbw-msgs (2.2.3-1bookworm) bookworm; urgency=high

  * Add eye tracker message (Mach-E only)
  * Add gear manual and gear sport enumerations
  * Contributors: Gabriel Oetjens, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 30 Sep 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.2.2-1bookworm) bookworm; urgency=high

  * Add warning for brake actuator warm
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 09 Sep 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.2.1-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 12 Aug 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.2.0-1bookworm) bookworm; urgency=high

  * Add steering offset message
  * Add several new messages and signals
    New messages:
    - Battery
    - Low voltage battery state-of-charge/voltage/current/temperature
    - Vehicle ignition
    - BatteryTraction
    - High voltage battery state-of-charge/voltage/temperature
    - DriverAssist
    - ADAS deceleration value
    - FCW/AEB/ACC/BLIS/CTA statuses
    - FuelLevel
    - Fuel level
    - Odometer
    - GPS
    New signals in existing messages:
    - MiscReport
    - Wiper
    - Headlights (high and low beams)
    - Ambient light
    - Outside air temperature
    - ThrottleInfo
    - Drive mode
    - Transmission gear number
  * Separate turn signal messages with diagnostics
    Keep functionality in misc cmd/report for a while to ease the transition
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 17 Jul 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.16-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Jun 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.15-1bookworm) bookworm; urgency=high

  * Brake on comms loss and system lockout
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 07 Jun 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.14-1bookworm) bookworm; urgency=high

  * Add gear command option for calibration
  * Add gear fault_actuator_config diagnostic
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 29 May 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.13-1bookworm) bookworm; urgency=high

  * Add gear reject enumeration for excessive vehicle speed
  * Add actuator pedal position quality diagnostics
  * Add logging status to EcuInfo message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 13 May 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.12-1bookworm) bookworm; urgency=high

  * Add support for DBW Monitor module
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 01 Apr 2024 04:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.11-1bookworm) bookworm; urgency=high

  * Add control performance fault
  * Add support for system lockout
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Mar 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.10-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 27 Feb 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.9-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 23 Feb 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.8-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 20 Feb 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.7-1bookworm) bookworm; urgency=high

  * Add support for system sync option
  * Steering wheel angle as degrees instead of radians
  * Add brake vacuum pressure
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 12 Feb 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.6-1bookworm) bookworm; urgency=high

  * Command limits vs vehicle speed
  * Report calculated steer value/rate limits
  * Report brake/throttle value limits
  * Add warning on invalid steer/brake/throttle limit parameters
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 16 Jan 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.5-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Jan 2024 05:00:00 -0000

ros-jazzy-ds-dbw-msgs (2.1.4-1bookworm) bookworm; urgency=high

  * Single package for all platforms with new DBW2 CAN API
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 13 Dec 2023 05:00:00 -0000
